import { defineStore } from 'pinia'

export const useTableStore = defineStore('table', {
  state: () => ({
    selectedId: null // 存储当前选中的 table 行 ID
  }),
  actions: {
    // 更新选中的 table 行 ID
    setSelectedId(id) {
      this.selectedId = id;
    }
  }
});
